Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.placeholder
Class PlaceholderHelper

    java.lang.Object
      |
      +--com.bea.p13n.placeholder.PlaceholderHelper

public class PlaceholderHelper
extends java.lang.Object
implements PlaceholderConstants

Utility routines used by the placeholder service and tag.

Constructor Summary
`PlaceholderHelper()`

Method Summary
`static java.lang.String` | `cleanupNamespaces(java.lang.String src)` Remove the namespace qualifiers from an XML string
`static PlaceholderService` | `getPlaceholderService()` Deprecated. Use the <ejb-ref> instead
`static PlaceholderService` | `getPlaceholderService(java.lang.String name)`
`static java.lang.String` | `getPreviewXML(java.sql.Connection con, long id)` Deprecated. Use `PlaceholderService.getPreviewSlot(long)` instead.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PlaceholderHelper

    public PlaceholderHelper()

Method Detail

### getPlaceholderService

    public static PlaceholderService getPlaceholderService()
                                                    throws javax.ejb.CreateException

  Deprecated. Use the <ejb-ref> instead
  This will return the default PlaceholderService EJB.

  Returns:
    the PlaceholderService EJB
  Throws:
    javax.ejb.CreateException - when we fail to create the PlaceholderService

### getPlaceholderService

    public static PlaceholderService getPlaceholderService(java.lang.String name)
                                                    throws javax.ejb.CreateException

### getPreviewXML

    public static java.lang.String getPreviewXML(java.sql.Connection con,
                                                 long id)
                                          throws java.sql.SQLException

  Deprecated. Use `PlaceholderService.getPreviewSlot(long)` instead.
  Return the XML string for the query for the given id

  Parameters:
    `id` - the id of the preview

### cleanupNamespaces

    public static java.lang.String cleanupNamespaces(java.lang.String src)

  Remove the namespace qualifiers from an XML string

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved